---
title: Privacy Policy
object_id: privacy-policy
---

# Quirkbot's Privacy Policy

*We made Quirkbot so people like you could create projects, share ideas, and build a community. To make this happen, we collect some information for our users. The Quirkbot Team understands how important privacy is to our community, especially kids and parents. We wrote this privacy policy to explain what information we collect, how we use it, and what we're doing to keep it safe. If you have any questions regarding this privacy policy, you can contact us.*

*Please do not share personal contact information, such as your name, physical address, email address, phone number, or anything else that can be used to make contact outside of the Quirkbot website. Please report projects, comments, or forum posts that contain this kind of information so the Quirkbot team can remove it, and please remind the author of our policy.*

## What information does the Quirkbot Team collect about me?

### Account Information:
In order to build projects or comment on other users' projects, you need to make an account. During account creation, we may ask you for a username, your country, birth month and year, gender, and your email address (or your parent or guardian's email address if you are under 13 years old). We ask that you select a user name that does not disclose your real name or other information that could identify you. Other users can see your username and country, but not your age, gender, or email address.

### User-generated Content:
All of your Quirkbot projects, comments, and forum posts are stored on the Quirkbot servers. All your projects, comments, and forum posts, along with your username are public accessible, meaning that anyone can view them. Because the Quirkbot Team is responsible for moderation, we have access to all content stored on the Quirkbot website. If you prefer to work on projects in complete privacy, you can program your Quirkbot offline by using the [Quirkbot Arduino Library](https://github.com/Quirkbot/QuirkbotArduinoLibrary/releases/latest) and [Quirkbot Arduino Hardware](https://github.com/Quirkbot/QuirkbotArduinoHardware/releases/latest).

### Usage Information:
When you use Quirkbot, our servers will automatically store a limited amount of information about how you use the website. This information includes a number that identifies your computer (the IP address), which pages you visited, and what browser you are using.

### Google Analytics:
We also collect data on where you click and which parts of the site you visit using Google Analytics.

This "click data" helps us figure out ways to improve the website. Information collected and processed by Google Analytics includes the user's IP address, network location, and geographic location. Google Analytics acquires all its information directly from the user, by installing a cookie (see below) on your computer, if you have enabled JavaScript. Quirkbot does not share any information it collects with Google, and Google does not collect any personal identifying information about you.

### Cookies and Local Storage:
When you log in, the Quirkbot website asks your browser to put an http "cookie" on your computer. The cookie is actually a small text file that our site can send to your browser for storage on your computer. This allows the website to remember that you are logged in when you go to a different page.

We also save information in the Local Storage of your browser. The Local Storage is a space to save data locally on your browser. Like with "cookies" we will use the Local Storage to remember if you are logged in and which program are you currently editing.

## How does the Quirkbot Team use my information?

* We may collect age, gender and country data. We need to collect age data as we must know if our users are below 13 and need to use a guardian’s email when registering their Quirkbot account. We collect gender and country data for research purposes.

* If you forget your password, we will ask you to disclose to us your email address so that we can send you a new password.

* We will use your email address to respond to messages you send us or to communicate with you about the Quirkbot service or your account.

* We send out occasional email updates about Quirkbot to the confirmed email address on your account. Quirkbot will never sell or share your email address without your permission. You can unsubscribe from these updates by clicking the unsubscribe link found at the bottom of the email.

* Parents and guardians who register their under-13 year olds for Quirkbot may also receive additional updates from Kids Hack Day, a non-profit that supports Quirkbot educational initiatives. Kids Hack Day will never sell or share your email address without your permission. You can unsubscribe from these updates by clicking the unsubscribe link found at the bottom of the email.

* If we detect repeated abusive behavior from your account, IP address, or email address, we may share your account name, IP address, and the time and content of the abusive behavior with the IP address owner (such as a school or internet service provided).

* We may use de-identified location, age, gender, and usage data in future research studies intended to improve our understanding of how people learn with Quirkbot. The results of such research would then be shared with educators and researchers through conferences, journals, and other publications.

* We may disclose some of the information we collect to third-party service providers that help us manage communications to and from the Quirkbot website and improve website performance. We are satisfied that these service providers have privacy policies that restrict them from further disclosing any of your information.

* Other than as described above, we will never share personally identifiable information about you with any other person, company, or organization, except:
	* As required to comply with our obligations under the law.
	* For technical reasons, if we are required to transfer the data on our servers to another location or organization.

## How can I update my personal information?
At the moment you can not update your password, email address, country or gender, once your account has been created.

What you can do is to reset your password through the login page and then clicking on the "Forgot your Password?" button. You cannot change your username, but you can make a new account and duplicate your projects to the new account.

At the moment you can not delete your account entirely through the website. If you want to delete your account, please email support@quirkbot.com.

## How does the Quirkbot Team protect my information?

The Quirkbot Team has in place physical and electronic procedures to protect the information we collect on the Quirkbot website. We strictly limit individual access to the Quirkbot servers and the data we store on them.

However, as effective as these measures are, no security system is impenetrable. We cannot completely guarantee the security of our database, nor can we guarantee that the information you supply will not be intercepted while being transmitted to us over the Internet.

## Notifications of Changes to the Privacy Policy

We review our security measures and Privacy Policy on a periodic basis, and we may modify our policies as appropriate. We may also change or update our Privacy Policy if we add new services or features. If we make any changes to our privacy practices, we will amend this Privacy Policy accordingly and post the amended policy on the Quirkbot website. We encourage you to review our Privacy Policy on a regular basis.

*Revision date: 10th December 2015.*

*The Quirkbot Privacy Policy was last updated: December 2015*
